#include <iostream>
using namespace std;

bool deljivo(int n,int m,int k){
    int x=n/k;
    int y=n-(k-1)*x;
    if((k>1) && (((k-1)*(x*(x+1)/2)+y*(y+1)/2)<=m)) return true;
    else if(k==1 && n*(n+1)/2<=m) return true;
    else return false;
}

int main(){
    int t,n[10],m[10],k[10];
    cin>>t;
    for(int i=0;i<t;i++)
        cin>>n[i]>>m[i]>>k[i];
    for(int i=0;i<t;i++){
        if(m[i]<n[i] or (m[i]==n[i] && k[i]<n[i]) ) cout<<"Nie"<<endl;
        else if(k[i]==n[i] && k[i]==m[i]) cout<<"Tak"<<endl;
        else{
            if(deljivo(n[i],m[i],k[i])) cout<<"Tak"<<endl;
            else cout<<"Nie"<<endl;
        }
    }
}